MW-1.29.0-wmf.12 deployment blockers
Closed, ResolvedPublic

greg created this task.Jan 17 2017, 7:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 17 2017, 7:41 PM
greg triaged this task as Normal priority.Jan 17 2017, 7:41 PM
greg assigned this task to thcipriani.Jan 27 2017, 6:55 PM
thcipriani added a comment.EditedFeb 15 2017, 4:56 PM

Last week I called out some of the logspam that lowered my confidence about deployments to great effect! All of the tasks I pointed to saw some kind of movement which was awesome.

RelEng is going to make a habit of calling out logspam on the train blocker task. Not to block the train, but to hopefully make meaningful progress towards having more confidence that a spike in the error logs is actually indicative of a problem.

A few huge log spammers this week are:

Change 337876 had a related patch set uploaded (by Thcipriani):
Revert "Revert "Group0 to 1.29.0-wmf.12""

https://gerrit.wikimedia.org/r/337876

Change 337876 merged by jenkins-bot:
Revert "Revert "Group0 to 1.29.0-wmf.12""

https://gerrit.wikimedia.org/r/337876

Mentioned in SAL (#wikimedia-operations) [2017-02-15T17:17:35Z] <thcipriani@tin> rebuilt wikiversions.php and synchronized wikiversions files: Group0 to 1.29.0-wmf.12 T155527

greg closed this task as Resolved.Feb 21 2017, 5:46 PM